package com.ruoyi.business.mapper;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import cn.hutool.core.date.DateTime;
import com.ruoyi.business.domain.TbPayment;
import org.apache.ibatis.annotations.Param;

/**
 * 支付Mapper接口
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public interface TbPaymentMapper 
{
    /**
     * 查询支付
     * 
     * @param id 支付主键
     * @return 支付
     */
    public TbPayment selectTbPaymentById(Long id);

    /**
     * 查询支付列表
     * 
     * @param tbPayment 支付
     * @return 支付集合
     */
    public List<TbPayment> selectTbPaymentList(TbPayment tbPayment);

    /**
     * 新增支付
     * 
     * @param tbPayment 支付
     * @return 结果
     */
    public int insertTbPayment(TbPayment tbPayment);

    /**
     * 修改支付
     * 
     * @param tbPayment 支付
     * @return 结果
     */
    public int updateTbPayment(TbPayment tbPayment);

    /**
     * 删除支付
     * 
     * @param id 支付主键
     * @return 结果
     */
    public int deleteTbPaymentById(Long id);

    /**
     * 批量删除支付
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbPaymentByIds(String[] ids);

    int selectCount(@Param("startTime") Date startTime, @Param("endTime")Date endTime);

    Double selectSumAmt(@Param("startTime") Date startTime, @Param("endTime")Date endTime);
}
